Data.Edison.Coll.EnumSet

# Set type

data Set a

# CollX operations

empty

singleton

fromSeq

insert

insertSeq

union

unionSeq

delete

deleteAll

deleteSeq

null

size

member

count

strict

# OrdCollX operations

deleteMin

deleteMax

unsafeInsertMin

unsafeInsertMax

unsafeFromOrdSeq

unsafeAppend

filterLT

filterLE

filterGT

filterGE

partitionLT_GE

partitionLE_GT

partitionLT_GT

# SetX operations

intersection

difference

symmetricDifference

properSubset

subset

# Coll operations

toSeq

lookup

lookupM

lookupAll

lookupWithDefault

fold

fold'

fold1

fold1'

filter

partition

strictWith

# OrdColl operations

minView

minElem

maxView

maxElem

foldr

foldr'

foldl

foldl'

foldr1

foldr1'

foldl1

foldl1'

toOrdSeq

unsafeMapMonotonic

# Set operations

fromSeqWith

fromOrdSeq

insertWith

insertSeqWith

unionl

unionr

unionWith

unionSeqWith

intersectionWith

# Bonus operations

map

setCoerce

complement

toBits

fromBits

# Documenation

moduleName